#!/usr/bin/env ruby
require("gsl")

m = NMatrix[[0, 1.2, 1],[1.5, 0, 2]]
p m

gm = GSL::Matrix.to_gm(m)
p gm

m2 = gm.to_na
p m2
p m2.class

v = GSL::Vector.new([1, 2, 3, 4])
p v
p v.class

na = v.to_NArray
p na
p na.class

v2 = GSL::Vector.to_gv(na)
p v2

v3 = Vector.new(na)
p v3
